@import "./lib/styles/main.scss";

.kislov-panel--wrapper {
    position: relative;
    width: 100%;

    .kislov-panel {
        position: relative;
        width: 100%;
        padding: 20px 25px;
        border-radius: 25px;
        box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.05);

        .kislov-panel--header {
            position: relative;
            width: 100%;
            display: flex;
            flex-direction: row;
            align-items: center;

            .kislov-panel--header-title {
                flex: 1;
            }

            .kislov-panel--header-collapse {
                color: $gray;
                font-size: 24px;
                cursor: pointer;
                line-height: 24px;

                &.open {
                    transform: rotate(180deg);
                }
            }
        }

        .kislov-panel--body {
            font-size: $font-body-size;
            color: $gray-dark;
            overflow: hidden;
            height: 0;
            max-height: 0;
            transition: all 0.5s ease-in-out;
            opacity: 0;

            &.open {
                height: auto;
                opacity: 1;
                padding: 20px 0;
                max-height: 100%;
                transition: all 0.5s ease-in-out;
            }
        }
    }
}